/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 * @flow
 */

import React, { Component } from 'react';
import Carousel from 'react-native-snap-carousel';

import {
  AppRegistry,
  StyleSheet,
  Text,
  Dimensions,
  View
} from 'react-native';

const { width: viewportWidth, height: viewportHeight } = Dimensions.get('window');


export default class snaptest extends Component {
  render() {

  return (
    <View style={styles.container}>

    <View style={styles.choicesWrap}>
      <View style={styles.selectedChoiceWrap}>
      <View style={[styles.selectedChoice, {backgroundColor: '#f03'}]}></View>
      </View>
      <Carousel
        ref={'carousel'}
        items={['32','2323','323']}

        sliderWidth={viewportWidth}
        showsHorizontalScrollIndicator={false}
        itemWidth={80}
        slideStyle={{width: 80, height: 38}}
        snapOnAndroid={true}
        // enableMomentum={true}
        inactiveSlideScale={1}
        activeSlideOffset={10}
        inactiveSlideOpacity={0.2}
        bounces={true}
        >
        <View style={{flex: 1}}><Text style={{color: '#fff', padding: 9, backgroundColor: 'transparent', textAlign: 'center'}}>3254</Text></View>
        <View style={{flex: 1}}><Text style={{color: '#fff', padding: 9, backgroundColor: 'transparent', textAlign: 'center'}}>454</Text></View>
        <View style={{flex: 1}}><Text style={{color: '#fff', padding: 9, backgroundColor: 'transparent', textAlign: 'center'}}>657</Text></View>
     </Carousel>
    </View>
    
    </View>
  );
  }
}

const styles = StyleSheet.create({
  choicesWrap: {
    flexDirection:'row', 
    flexWrap:'wrap', 
    justifyContent: 'center', 
    marginBottom: 30
  },
  selectedChoiceWrap: {
    position: 'absolute', 
    left: 0, 
    right: 0, 
    justifyContent: 'center', 
    alignItems: 'center'
  },
  selectedChoice: {
    height: 38, 
    width: 80, 
    borderRadius: 50, 
    backgroundColor: '#81d105'
  },
  container: {
  flex: 1,
  justifyContent: 'center',
  alignItems: 'center',
  backgroundColor: '#0a0a0a',
  },
  welcome: {
  fontSize: 20,
  textAlign: 'center',
  margin: 10,
  },
  instructions: {
  textAlign: 'center',
  color: '#333333',
  marginBottom: 5,
  },
});

AppRegistry.registerComponent('snaptest', () => snaptest);
